bcdn = load('./bcdn_supp_log/kdda.bcdn-atomic.a2.s0.t8.b29500.parsed');
ncdn = load('./bcdn_supp_log/kdda.liblr.s6.t8.parsed');
ncdn_notrick = load('./bcdn_supp_log/kdda.liblr-no-trick.s6.t8.parsed');

obj = min(bcdn(:, 2));
obj = min(obj, min(ncdn(:, 2)));
obj = min(obj, min(ncdn_notrick(:, 2)));

space = 4;
x = ncdn(:, 1);
y = ncdn(:, 2);
semilogy(x(1:space:end), (y(1:space:end) - obj)/obj, 'b-x', 'markersize', 15);
hold on;
x = ncdn_notrick(:, 1);
y = ncdn_notrick(:, 2);
semilogy(x(1:space:end), (y(1:space:end) - obj)/obj, 'g-s', 'markersize', 15);
hold on;
x = bcdn(:, 1);
y = bcdn(:, 2);
semilogy(x(1:space:end), (y(1:space:end) - obj)/obj, 'r-o', 'markersize', 15);
legend('NCDN', 'NCDN*', 'BCDN');
xlabel('Time (s)');
ylabel('Relative function value difference');
grid on;
set(gca,'fontsize', 35)
set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 8]);
saveas(gcf,'supp_fig3','epsc');
xlim([0 3600]);
exit();
